> For the complete documentation index, see [llms.txt](https://docs.shipbubble.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shipbubble.com/api-reference/addresses/edit-address-details.md).

# Edit address details

<mark style="color:purple;">`PATCH`</mark> `https://api.shipbubble.com/v1/shipping/address/:address_code`

#### Path Parameters

| Name                                            | Type   | Description                          |
| ----------------------------------------------- | ------ | ------------------------------------ |
| address\_code<mark style="color:red;">\*</mark> | String | address code of address to be edited |

#### Request Body

| Name                                    | Type   | Description                    |
| --------------------------------------- | ------ | ------------------------------ |
| name<mark style="color:red;">\*</mark>  | String | name of address holder         |
| email<mark style="color:red;">\*</mark> | String | email of address holder        |
| phone<mark style="color:red;">\*</mark> | String | phone number of address holder |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": "success",
    "message": "Address updated successfully",
    "data": {
        "name": "Abon Ayodeji",
        "email": "abon@james.com",
        "street_no": "15",
        "street": "Babatunde Jose Street",
        "phone": "+2347079657900",
        "formatted_address": "15 Babatunde Jose St, Victoria Island 106104, Lagos, Nigeria",
        "country": "Nigeria",
        "country_code": "NG",
        "city": "Lagos",
        "city_code": "Lagos",
        "state": "Lagos",
        "state_code": "LA",
        "postal_code": "106104",
        "latitude": 6.436058,
        "longitude": 3.433361
    }
}
```

{% endtab %}
{% endtabs %}
